Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232693 - Bad cast in ElectricFence cause mmap to fail
Summary: Bad cast in ElectricFence cause mmap to fail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ElectricFence
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Machata
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 17:40 UTC by George Beshers
Modified: 2013-03-14 12:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-14 12:52:31 UTC


Attachments (Terms of Use)
patch to remove bad casts (deleted)
2007-03-16 17:40 UTC, George Beshers
no flags Details | Diff

Description George Beshers 2007-03-16 17:40:19 UTC
Description of problem:
  Wrong cast causes mmap to fail when it shouldn't.

Version-Release number of selected component (if applicable):


How reproducible:
  always.

Steps to Reproduce:
1. Try a malloc larger than 4Gbyte.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 George Beshers 2007-03-16 17:40:19 UTC
Created attachment 150260 [details]
patch to remove bad casts

Comment 2 Petr Machata 2007-03-16 19:11:08 UTC
Huh, I'd like to know why the cast was introduced at all.  Possibly some obscure
OS with wrong mmap decl...
Anyway, I applied the patch, fixed package is in rawhide.  Thanks.

Comment 3 Petr Machata 2007-03-16 19:11:47 UTC
Hmm, why not check which of the two bugs I'm closing?

Comment 4 Andrew Cagney 2007-08-16 17:16:38 UTC
Pushing to RHEL 5.2; have patch from upstream and tested in rawhide.

Comment 5 RHEL Product and Program Management 2007-12-03 20:41:39 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 7 Matt Newsome 2013-03-14 12:52:31 UTC
As Red Hat Enterprise Linux 5 has now entered Production Phase 2, this bug has been re-evaluated with the conclusion that a fix would not be appropriate at this time. Consequently this bug is being closed. Please contact your Red Hat representative if a review is required.


Note You need to log in before you can comment on or make changes to this bug.